Update client
curl --request PATCH \
--url https://api.identety.dev/users/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "John Doe",
"givenName": "John",
"familyName": "Doe",
"picture": "https://example.com/photo.jpg",
"locale": "en-US",
"address": {
"streetAddress": "123 Main St",
"locality": "New York",
"region": "NY",
"postalCode": "10001",
"country": "USA"
},
"metadata": {
"customField": "value"
}
}
'import requests
url = "https://api.identety.dev/users/{id}"
payload = {
"name": "John Doe",
"givenName": "John",
"familyName": "Doe",
"picture": "https://example.com/photo.jpg",
"locale": "en-US",
"address": {
"streetAddress": "123 Main St",
"locality": "New York",
"region": "NY",
"postalCode": "10001",
"country": "USA"
},
"metadata": { "customField": "value" }
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'John Doe',
givenName: 'John',
familyName: 'Doe',
picture: 'https://example.com/photo.jpg',
locale: 'en-US',
address: {
streetAddress: '123 Main St',
locality: 'New York',
region: 'NY',
postalCode: '10001',
country: 'USA'
},
metadata: {customField: 'value'}
})
};
fetch('https://api.identety.dev/users/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "43fad864-738d-4367-a012-2b8c6948c36a",
"name": "John Doe",
"givenName": "John",
"familyName": "Doe",
"picture": "https://example.com/photo.jpg",
"locale": "en-US",
"address": {
"streetAddress": "123 Main St",
"locality": "New York",
"region": "NY",
"postalCode": "10001",
"country": "USA"
},
"metadata": {
"customField": "value"
}
}{
"message": "Invalid API key",
"statusCode": 401,
"error": "Unauthorized"
}{
"message": "Not Found",
"statusCode": 401
}Users
Update client
PATCH
/
users
/
{id}
Update client
Authorizations
Path Parameters
Body
application/json
Example:
"John Doe"
Example:
"John"
Example:
"Doe"
Example:
"https://example.com/photo.jpg"
Example:
"en-US"
Show child attributes
Show child attributes
Example:
{ "customField": "value" }
Response
Client updated successfully
Example:
"43fad864-738d-4367-a012-2b8c6948c36a"
Example:
"John Doe"
Example:
"John"
Example:
"Doe"
Example:
"https://example.com/photo.jpg"
Example:
"en-US"
Show child attributes
Show child attributes
Example:
{ "customField": "value" }
⌘I